Name:           kcometen4
Version:        1.0.7
Release:        2%{?dist}
Summary:        An OpenGL screensaver with exploding comets for KDE4
Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://kde-apps.org/content/show.php?content=87586
Source0:        http://kde-apps.org/CONTENT/content-files/87586-%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  kdebase-workspace-devel

%description
KCometen4 is an OpenGL KDE screensaver. Inside a box is a nifty
light show that features lightning and exploding comets. It lets
you configure various effects like comet behavior, camera
movement, box face images, etc.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
install -p -D -m 644 src/%{name}.kss.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_kde4_bindir}/%{name}.kss
%{_kde4_datadir}/kde4/apps/%{name}
%{_kde4_datadir}/kde4/services/ScreenSavers/%{name}.desktop
%{_mandir}/man1/%{name}.kss.1.gz

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.7-1
- update to 1.0.7

* Thu Nov 19 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.6-2
- rebuild (qt-4.6.0-rc1, fc13+)

* Mon Nov  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.6-1
- update to 1.0.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  1 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.5-1
- update to 1.0.5

* Wed Apr  8 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.4-2
- fixed Build Root

* Thu Apr  2 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.4-1
- Initial RPM release
